/* eslint-disable jsx-a11y/anchor-is-valid */
import React from 'react'
import {KTSVG, toAbsoluteUrl} from '../../../../../../_metronic/helpers'
import {Dropdown1} from '../../../../../../_metronic/partials/content/dropdown/Dropdown1'
import {Person, Position} from '../core/_models'
import { UserActionsCell } from '../table/columns/person/UserActionsCell'
import { UserEditModal } from '../edit-modal/person/UserEditModal'
import { ListViewProviderPerson } from '../edit-modal/person/ListViewProviderPerson'
import { useListView } from '../edit-modal/person/ListViewProviderPerson'
import { PersonAddModal } from '../edit-modal/position/PersonAddModal'


type Props = {
  className: string
  position: Position
}

const PersonsList: React.FC<Props> = ({className, position}) => {
  const {itemIdForUpdate, setItemIdForUpdate} = useListView()
  const openAddUserModal = () => {
    setItemIdForUpdate(position.id)
  }

  return (
    <div className={`card ${className}`}>
      {/* begin::Header */}
      <div className='card-header border-0'>
        <h3 className='card-title fw-bold text-dark'>Personer</h3>
        <div
        className='fs-7 w-250px py-4 d-flex justify-content-end'>
          <button type='button' className='btn btn-light btn-sm btn-active-light-primary' onClick={openAddUserModal}>
        <KTSVG path='/media/icons/duotune/arrows/arr075.svg' className='svg-icon-2' />
        Lägg till person
      </button>
      </div>
      </div>
      {/* end::Header */}
      {/* begin::Body */}
      <div className='card-body pt-2'>

      {position.persons?.map(person => {
        return(
          <div className='d-flex align-items-center mb-7' key={person.id}>
              <div className='symbol symbol-50px me-5'>
              <KTSVG
                      path='/media/icons/duotune/general/gen056.svg'
                      className='svg-icon-1 svg-icon-primary'
                    />              </div>
              <div className='flex-grow-1'>
                <a href={'/metronic8/react/demo1/person/overview/'+person.id} className='text-dark fw-bold text-hover-primary fs-6'>
                  {person.forename} {person.surname}
                </a>
          <span className='text-muted d-block fw-semibold'>{person.email}</span>
        </div>
        <UserActionsCell id={person.id} />

          </div>
        )
      })}
      {itemIdForUpdate !== undefined ? <PersonAddModal/> : null}

      </div>
      {/* end::Body */}
    </div>
  )
}

export {PersonsList}
